package com.ynet.life.action;

import com.ynet.gene.core.Context;
import com.ynet.gene.core.GENEException;
import com.ynet.life.base.LifeAction;
import com.ynet.life.base.LifeDBAccess;
import com.ynet.life.security.crypto.AESCrypto;
import java.sql.Connection;
import java.util.ArrayList;
import java.util.List;

/* loaded from: com_ynet_life_action.jar:com/ynet/life/action/AESEncryptQueryKeyAction.class */
public class AESEncryptQueryKeyAction extends LifeAction {
    private String keyType;
    private String valueText;
    private String desText;
    private static final String SQL_SECRET_KEY = "SELECT KEY_VALUE FROM SECRET_KEY WHERE KEY_TYPE = ?";

    /* JADX WARN: Not initialized variable reg: 0, insn: 0x004a: INVOKE (r0 I:java.lang.Exception) VIRTUAL call: java.lang.Exception.printStackTrace():void A[MD:():void (c)], block:B:12:0x0049 */
    public String execute(Context context) throws GENEException {
        Exception printStackTrace;
        try {
            if (this.keyType == null || "".equals(this.keyType)) {
                throw new GENEException("IM05001", "未设置密钥类型!");
            }
            String key = getKey(this.keyType);
            String value = (String) context.getDataValue(this.valueText);
            String deStr = AESCrypto.encrypt(AESCrypto.getAESKeySpecFromString(key), value);
            context.setDataValue(this.desText, deStr);
            return "0";
        } catch (Exception e) {
            printStackTrace.printStackTrace();
            throw new GENEException("IM05002", "DES解密失败!");
        }
    }

    public static String getKey(String keyType) throws GENEException {
        Exception exc = null;
        Connection connection = null;
        try {
            try {
                connection = LifeDBAccess.getConnection();
                List inputList = new ArrayList();
                new ArrayList();
                inputList.add(keyType);
                List resultList = LifeDBAccess.queryMultipleResult(connection, SQL_SECRET_KEY, inputList, 1);
                if (resultList.size() <= 0) {
                    LifeDBAccess.releaseConnection(connection);
                    return null;
                }
                String str = (String) ((List) resultList.get(0)).get(0);
                LifeDBAccess.releaseConnection(connection);
                return str;
            } catch (Exception e) {
                exc.printStackTrace();
                LifeDBAccess.releaseConnection(connection);
                return null;
            }
        } catch (Throwable th) {
            LifeDBAccess.releaseConnection(connection);
            throw th;
        }
    }

    public String getDesText() {
        return this.desText;
    }

    public void setDesText(String desText) {
        this.desText = desText;
    }

    public String getKeyType() {
        return this.keyType;
    }

    public void setKeyType(String keyType) {
        this.keyType = keyType;
    }

    public String getValueText() {
        return this.valueText;
    }

    public void setValueText(String valueText) {
        this.valueText = valueText;
    }

    public static void main(String[] args) {
    }
}
